apiVersion: v1
kind: Pod
metadata:
  name: "{{ include "littleworld.fullname" . }}-test-connection-frontend"
  labels:
    {{- include "littleworld.labels" . | nindent 4 }}-frontend
  annotations:
    "helm.sh/hook": test
spec:
  containers:
    - name: wget
      image: busybox
      command: ['wget']
      args: ['{{ include "littleworld.fullname" . }}-frontend:{{ .Values.frontend.service.port }}']
  restartPolicy: Never
---
apiVersion: v1
kind: Pod
metadata:
  name: "{{ include "littleworld.fullname" . }}-test-connection-backend"
  labels:
    {{- include "littleworld.labels" . | nindent 4 }}-backend
  annotations:
    "helm.sh/hook": test
spec:
  containers:
    - name: wget
      image: busybox
      command: ['wget']
      args: ['{{ include "littleworld.fullname" . }}-backend:{{ .Values.backend.service.port }}']
  restartPolicy: Never
---